Bug 188995 - system-config-lvm crashes when drive without partition table (superdisk) is connected
system-config-lvm crashes when drive without partition table (superdisk) is c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 10:07 EDT by Peter Heckert
Modified: 2008-05-06 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Heckert 2006-04-14 10:07:52 EDT
Description of problem:
I have an USB drive and this is formatted in superdisk format without a
partition table.

fdisk and sfdisk dont recognize this format and spit out error messages and
"?" instead of numbers. 

Example:


Disk /dev/sdd: 19077 cylinders, 64 heads, 32 sectors/track
Units = cylinders of 1048576 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/sdd1   ? 863372+ 1694042- 830670- 850605874+  6e  Unknown
                start: (c,h,s) expected (1023,63,32) found (357,114,46)
                end: (c,h,s) expected (1023,63,32) found (10,255,13)
/dev/sdd2   ? 953966+ 1432828- 478863- 490354992+  ff  BBT
                start: (c,h,s) expected (1023,63,32) found (370,108,37)
                end: (c,h,s) expected (1023,63,32) found (78,13,10)
/dev/sdd3   ? 879728+ 962077-  82350-  84326194+  74  Unknown
                start: (c,h,s) expected (1023,63,32) found (371,84,33)
                end: (c,h,s) expected (1023,63,32) found (100,101,32)
/dev/sdd4     1409024  1409050-     27-     27106    0  Empty
                start: (c,h,s) expected (1023,63,32) found (0,0,0)
                end: (c,h,s) expected (1023,63,32) found (0,0,0)

apparently this causes system-config-lvm to crash on line 113:

  File "/usr/share/system-config-lvm/fdisk_wrapper.py", line 113, in getPartitions
    beg = int(beg)
ValueError: invalid literal for int(): ?

Version-Release number of selected component (if applicable):
?

How reproducible:
100%

Steps to Reproduce:
1. connect USB Drive or Memory Card in Superdisk-format
2. Invoke system-config-lvm

  
Actual results:
crashes

Expected results:
Window should open
Comment 1 Bug Zapper 2008-04-03 22:38:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:47:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.